Bug 1030807 (CVE-2013-5605) - CVE-2013-5605 nss: Null_Cipher() does not respect maxOutputLen (MFSA 2013-103)
Summary: CVE-2013-5605 nss: Null_Cipher() does not respect maxOutputLen (MFSA 2013-103)
Status: CLOSED ERRATA
Alias: CVE-2013-5605
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20131113,repo...
Keywords: Security
Depends On: 1031463 1031897 1032466 1032468 1032470 1032472 1035654 1035655 1035656 1035658 1035659 1035660
Blocks: 1030811
TreeView+ depends on / blocked
 
Reported: 2013-11-15 08:19 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:47 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-08-24 15:41:23 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1791 normal SHIPPED_LIVE Important: nss and nspr security, bug fix, and enhancement update 2013-12-05 21:15:00 UTC
Red Hat Product Errata RHSA-2013:1829 normal SHIPPED_LIVE Important: nss, nspr, and nss-util security update 2013-12-13 00:02:32 UTC
Red Hat Product Errata RHSA-2013:1840 normal SHIPPED_LIVE Important: nss security update 2013-12-16 23:22:10 UTC
Red Hat Product Errata RHSA-2013:1841 normal SHIPPED_LIVE Important: nss security update 2013-12-16 23:21:59 UTC
Red Hat Product Errata RHSA-2014:0041 normal SHIPPED_LIVE Important: rhev-hypervisor6 security update 2014-01-21 22:02:59 UTC

Description Huzaifa S. Sidhpurwala 2013-11-15 08:19:00 UTC
NSS versions 3.14.5 and 3.15.3 were released, documenting the following security fix:

* (CVE-2013-5605) Handle invalid handshake packets

Release notes refer to this currently non-public upstream bug report:
https://bugzilla.mozilla.org/show_bug.cgi?id=934016

Upstream patch:
https://hg.mozilla.org/projects/nss/rev/e79a09364b5e

Release notes:
https://developer.mozilla.org/en-US/docs/NSS/NSS_3.14.5_release_notes
https://developer.mozilla.org/en-US/docs/NSS/NSS_3.15.3_release_notes

Comment 2 Huzaifa S. Sidhpurwala 2013-11-19 05:31:51 UTC
Created nss tracking bugs for this issue:

Affects: fedora-all [bug 1031897]

Comment 4 Huzaifa S. Sidhpurwala 2013-11-28 05:21:22 UTC
Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-103.html

Comment 6 errata-xmlrpc 2013-12-05 16:16:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1791 https://rhn.redhat.com/errata/RHSA-2013-1791.html

Comment 7 errata-xmlrpc 2013-12-12 19:03:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1829 https://rhn.redhat.com/errata/RHSA-2013-1829.html

Comment 8 Fedora Update System 2013-12-14 02:52:04 UTC
nss-3.15.3-2.fc20, nss-softokn-3.15.3-1.fc20, nss-util-3.15.3-1.fc20, nspr-4.10.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-15 03:36:38 UTC
nss-util-3.15.3-1.fc19, nss-softokn-3.15.3-1.fc19, nss-3.15.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2013-12-16 18:25:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.9 EUS - Server Only
  Red Hat Enterprise Linux 5.6 EUS - Server Only
  Red Hat Enterprise Linux 5.3 Long Life

Via RHSA-2013:1841 https://rhn.redhat.com/errata/RHSA-2013-1841.html

Comment 11 errata-xmlrpc 2013-12-16 18:26:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 6.3 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2013:1840 https://rhn.redhat.com/errata/RHSA-2013-1840.html

Comment 12 Fedora Update System 2013-12-21 02:19:30 UTC
nss-3.15.3-1.fc18, nss-softokn-3.15.3-1.fc18, nss-util-3.15.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2014-01-21 17:03:34 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0041 https://rhn.redhat.com/errata/RHSA-2014-0041.html


Note You need to log in before you can comment on or make changes to this bug.